# The onramp and offramp sections of configuration specify external sources and sinks
# to an instance of tremor server.
#
onramp:
  - id: ws-input # A unique id for binding/mapping
    type: ws # The unique type descriptor for the onramp ( websocket server here)
    codec: json # The underlying data format expected for application payload data
    config:
      port: 4242 # The TCP port to listen on
      host: "0.0.0.0" # The IP address to bind on ( all interfaces in this case )

offramp:
  - id: stdout-output # The unique id for binding/mapping
    type: stdout # The unique type descriptor for the offramp ( stdout here )
    codec: json # The underlying data format expected for application payload data
    config:
      prefix: ">> " # A prefix for data emitted on standard output by this offramp
